!
! Levels.
!

module dims_levels

  use const_ec_v, only : lme, a_ec, b_ec
  
  use dims_grid, only : nregions
  
  implicit none
  
  ! --- in/out ------------------------------
  
  public
  
  
  ! --- const -------------------------------
  
  integer, parameter ::  lm(nregions) = lme

  ! lmax_conv determines to what level the clouds and convection 
  ! are stored in the meteo files...

  integer,parameter :: lmax_conv = lme   ! can be lowered to tropopause...

  ! select for each TM half level the corresponding NCEP half level;
  ! both TM and NCEP levels are numbered bottom-up:
  integer, parameter   ::  echlevs(0:lm(1)) = (/ &
                              0,  1,  2,  3,  4, &
                                  5,  6,  7,  8, &
                                  9, 10, 11, 12, &
                                 13, 14, 15, 16, &
                                 17, 18, 19, 20, &
                                 21, 22, 23, 24, &
                                 25, 26, 27, 28       /)

  real, parameter  :: bt(1:lm(1)+1) = b_ec(echlevs)
  real, parameter  :: at(1:lm(1)+1) = a_ec(echlevs)

end module dims_levels
