!
! Levels.
!

module dims_levels

  use const_ec_v, only : lme, a_ec, b_ec
  
  use dims_grid, only : nregions
  
  implicit none
  
  ! --- in/out ------------------------------
  
  public
  
  
  ! --- const -------------------------------
  
  
  integer, parameter ::  lm(nregions) = 44

  ! lmax_conv determines to what level the clouds and convection 
  ! are stored in the meteo files...

  integer,parameter :: lmax_conv = 19   ! can be lowered to tropopause...

  ! select ECMWF half levels;
  ! TM levels are number bottom-up and start with 1 instead of 0:
  integer, parameter   ::  echlevs(0:lm(1)) = (/ &
                             60,         57,   &
                                 55,           &
                             52,         49,   &
                                 47,           &
                             44,     42,       &
                                 39,     37,   &
                                 35,     33,   &
                             32, 31, 30, 29,   &
                             28, 27, 26, 25,   &
                             24, 23, 22, 21,   &
                             20, 19, 18, 17,   &
                             16, 15, 14, 13,   &
                             12, 11, 10,  9,   &
                              8,  7,  6,  5,   &
                              4,  3,  2,  1, 0 /)
  

  real, parameter  :: bt(1:lm(1)+1) = b_ec(echlevs)
  real, parameter  :: at(1:lm(1)+1) = a_ec(echlevs)


end module dims_levels
